﻿Type=StaticCode
Version=5.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

'Set a GradientDrawable
'GradOrientation = Orientation : TOP_BOTTOM, etc
'GradColors	Array of colors min 2 colors
'Radius	radius of all 4 corner in pixels
'GradShape  0 = RECTANGLE, 1 = OVAL, 2 = LINE, 3 = RING  values 2 and 3 not supported
'GradType		0 = LINEAR, 1 = RADIAL, 2 = SWEEP
'GradRadius radius of the radial gradient in pixels valid only for RECTANGLE
'GradCenterX x coordinate of the gradient center  RADIAL and SWEEP types only values between 0 and 1.0
'GradCenterY y coordinate of the gradient center  RADIAL and SWEEP types only values between 0 and 1.0
Sub GradDrawable(GradOrientation As String, GradColors() As Int, CornerRadius As Float, GradShape As Int, GradType As Int, GradRadius As Float, GradCenterX As Float, GradCenterY As Float) As GradientDrawable
	Dim gdb As GradientDrawable
	Dim obj1 As Reflector
	gdb.Initialize(GradOrientation, GradColors)
	obj1.Target = gdb
	obj1.RunMethod2("setShape", GradShape, "java.lang.int")
	obj1.RunMethod2("setCornerRadius", CornerRadius, "java.lang.float")
	obj1.RunMethod2("setGradientType", GradType, "java.lang.int")
	obj1.RunMethod2("setGradientRadius", GradRadius, "java.lang.float")
	obj1.RunMethod3("setGradientCenter", GradCenterX, "java.lang.float", GradCenterY, "java.lang.float")
	Return gdb
End Sub

